Delete By Metadata
curl --request POST \
--url https://api.galileo.ai/v2/org-jobs/delete-by-metadata \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"metadata_key": "<string>",
"metadata_value": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/org-jobs/delete-by-metadata"
payload = {
"metadata_key": "<string>",
"metadata_value": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata_key: '<string>', metadata_value: '<string>'})
};
fetch('https://api.galileo.ai/v2/org-jobs/delete-by-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Organization Jobs
Delete By Metadata
Delete traces/sessions across all projects in the organization by metadata filters.
This endpoint allows organization administrators to delete traces or sessions that match specific metadata key-value pairs across all projects in their organization.
POST
/
v2
/
org-jobs
/
delete-by-metadata
Delete By Metadata
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Query Parameters
Body
application/json
Was this page helpful?
⌘I